%bcond_with test
Name:           rasqal
Summary:        a free software / Open Source C library that handles Resource Description Framework (RDF)
Version:        0.9.33
Release:        10
License:        LGPLv2+ or ASL 2.0
URL:            http://librdf.org/rasqal/
Source:         http://download.librdf.org/source/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++ libxml2-devel mpfr-devel raptor2-devel

%if %{with test}
BuildRequires:  perl(Pod::Usage) perl(XML::DOM)
%endif

%description
Rasqal is a free software / Open Source C library that handles Resource
Description Framework (RDF) query language syntaxes, query construction
and execution of queries returning results as bindings, boolean, RDF
graphs/triples or syntaxes. The supported query languages are SPARQL
Query 1.0, SPARQL Query 1.1, SPARQL Update 1.1 (no executing) and the
Experimental SPARQL extensions (LAQRS). Rasqal can write binding query
results in the SPARQL XML, SPARQL JSON, CSV, TSV, HTML, ASCII tables,
RDF/XML and Turtle / N3 and read them in SPARQL XML, CSV, TSV, RDF/XML
and Turtle / N3.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
%{name} Library Header Files and Link Libraries

%package_help

%prep
%autosetup -p1

%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif

%build
%configure \
  --disable-pcre \
  --disable-static\
  --enable-release

make %{?_smp_mflags}

%install
%make_install

%if %{with test}
%check
export PKG_CONFIG_PATH=${RPM_BUILD_ROOT}%{_datadir}/pkgconfig:${RPM_BUILD_ROOT}%{_libdir}/pkgconfig
test "$(pkg-config --modversion rasqal)" = "%{version}"
make -k check || echo "WARNING: there is no %{_bindir}/rapper, thus, 'make check' skipped"
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%license COPYING.LIB
%license LICENSE-2.0.txt
%license LICENSE.txt
%{_libdir}/lib%{name}.so.3*
%{_bindir}/roqet
%exclude %{_libdir}/lib*.la

%files devel
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/
%{_includedir}/%{name}/

%files help
%doc AUTHORS
%doc ChangeLog
%doc NEWS
%doc NOTICE
%doc README
%doc RELEASE.html
%doc docs/README.html
%{_mandir}/man1/roqet.1*
%{_mandir}/man1/%{name}-config.1*
%{_mandir}/man3/lib%{name}.3*

%changelog
* Fri Mar 8 2024 liyanan<liyanan61@h-partners.com> - 0.9.33-10
- Disable pcre

* Tue Nov 19 2019 caomeng<caomeng5@huawei.com> - 0.9.33-9
- Package init
